--- app_queue.c.orig	2010-01-07 21:59:03.000000000 +0300
+++ app_queue.c	2010-06-06 17:07:21.000000000 +0400
@@ -979,6 +979,11 @@
 				ast_debug(4, "%s is unavailable because his device state is 'inuse'\n", member->membername);
 				break;
 			}
+		case AST_DEVICE_RINGING:
+			if (conditions & QUEUE_EMPTY_RINGING) {
+				ast_debug(4, "%s is unavailable because his device state is 'ringing'\n", member->membername);
+				break;
+			}
 		case AST_DEVICE_UNKNOWN:
 			if (conditions & QUEUE_EMPTY_UNKNOWN) {
 				ast_debug(4, "%s is unavailable because his device state is 'unknown'\n", member->membername);
